Package ru.bitel.bgbilling.modules.card.server.bean

# Class DealerUtils

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.DealerUtils

public class DealerUtils extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEALER_TYPEMASK_CARDSALE`
  `static final int`
  `DEALER_TYPEMASK_PAYMENTS`
  `static final String`
  `ERR_ALREADYCANSELED`
  `static final String`
  `ERR_ALREADYCANSELED_CODE`
  `static final String`
  `ERR_BALANCE`
  `static final String`
  `ERR_BALANCE_CODE`
  `static final String`
  `ERR_CONTRACTNOTFOUND`
  `static final String`
  `ERR_CONTRACTNOTFOUND_CODE`
  `static final String`
  `ERR_IP`
  `static final String`
  `ERR_IP_CODE`
  `static final String`
  `ERR_LOGIN`
  `static final String`
  `ERR_LOGIN_CODE`
  `static final String`
  `ERR_MID`
  `static final String`
  `ERR_MID_CODE`
  `static final String`
  `ERR_OUTOFPERIOD`
  `static final String`
  `ERR_OUTOFPERIOD_CODE`
  `static final String`
  `ERR_PARAM`
  `static final String`
  `ERR_PARAM_CODE`
  `static final String`
  `ERR_PASS`
  `static final String`
  `ERR_PASS_CODE`
  `static final String`
  `ERR_PASSLIM`
  `static final String`
  `ERR_PASSLIM_CODE`
  `static final String`
  `ERR_PAYMENTNOTFOUND`
  `static final String`
  `ERR_PAYMENTNOTFOUND_CODE`
  `static final String`
  `ERR_TIMEDOUT`
  `static final String`
  `ERR_TIMEDOUT_CODE`
  `static final String`
  `ERR_TOOMUCHRESULT`
  `static final String`
  `ERR_TOOMUCHRESULT_CODE`
  `static final String`
  `ERR_TRANSNUMBER`
  `static final String`
  `ERR_TRANSNUMBER_CODE`
  `static final String`
  `ERR_WRONGACTION`
  `static final String`
  `ERR_WRONGACTION_CODE`
  `static final int`
  `MAXERROR`
  `static final int`
  `PAY_ALL`
  `static final int`
  `PAY_CANSELED`
  `static final int`
  `PAY_PAYED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DealerUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getPaymentComment(String pattern, String contract, String dealer, float summ, String trans, String comment)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ERR_LOGIN

    public static final String ERR_LOGIN
    See Also:
      - Constant Field Values

  - ### ERR_LOGIN_CODE

    public static final String ERR_LOGIN_CODE
    See Also:
      - Constant Field Values

  - ### ERR_PASS

    public static final String ERR_PASS
    See Also:
      - Constant Field Values

  - ### ERR_PASS_CODE

    public static final String ERR_PASS_CODE
    See Also:
      - Constant Field Values

  - ### ERR_PARAM

    public static final String ERR_PARAM
    See Also:
      - Constant Field Values

  - ### ERR_PARAM_CODE

    public static final String ERR_PARAM_CODE
    See Also:
      - Constant Field Values

  - ### ERR_OUTOFPERIOD

    public static final String ERR_OUTOFPERIOD
    See Also:
      - Constant Field Values

  - ### ERR_OUTOFPERIOD_CODE

    public static final String ERR_OUTOFPERIOD_CODE
    See Also:
      - Constant Field Values

  - ### ERR_IP

    public static final String ERR_IP
    See Also:
      - Constant Field Values

  - ### ERR_IP_CODE

    public static final String ERR_IP_CODE
    See Also:
      - Constant Field Values

  - ### ERR_PASSLIM

    public static final String ERR_PASSLIM
    See Also:
      - Constant Field Values

  - ### ERR_PASSLIM_CODE

    public static final String ERR_PASSLIM_CODE
    See Also:
      - Constant Field Values

  - ### ERR_WRONGACTION

    public static final String ERR_WRONGACTION
    See Also:
      - Constant Field Values

  - ### ERR_WRONGACTION_CODE

    public static final String ERR_WRONGACTION_CODE
    See Also:
      - Constant Field Values

  - ### ERR_CONTRACTNOTFOUND

    public static final String ERR_CONTRACTNOTFOUND
    See Also:
      - Constant Field Values

  - ### ERR_CONTRACTNOTFOUND_CODE

    public static final String ERR_CONTRACTNOTFOUND_CODE
    See Also:
      - Constant Field Values

  - ### ERR_TOOMUCHRESULT

    public static final String ERR_TOOMUCHRESULT
    See Also:
      - Constant Field Values

  - ### ERR_TOOMUCHRESULT_CODE

    public static final String ERR_TOOMUCHRESULT_CODE
    See Also:
      - Constant Field Values

  - ### MAXERROR

    public static final int MAXERROR
    See Also:
      - Constant Field Values

  - ### ERR_TRANSNUMBER

    public static final String ERR_TRANSNUMBER
    See Also:
      - Constant Field Values

  - ### ERR_TRANSNUMBER_CODE

    public static final String ERR_TRANSNUMBER_CODE
    See Also:
      - Constant Field Values

  - ### ERR_PAYMENTNOTFOUND

    public static final String ERR_PAYMENTNOTFOUND
    See Also:
      - Constant Field Values

  - ### ERR_PAYMENTNOTFOUND_CODE

    public static final String ERR_PAYMENTNOTFOUND_CODE
    See Also:
      - Constant Field Values

  - ### ERR_ALREADYCANSELED

    public static final String ERR_ALREADYCANSELED
    See Also:
      - Constant Field Values

  - ### ERR_ALREADYCANSELED_CODE

    public static final String ERR_ALREADYCANSELED_CODE
    See Also:
      - Constant Field Values

  - ### ERR_TIMEDOUT

    public static final String ERR_TIMEDOUT
    See Also:
      - Constant Field Values

  - ### ERR_TIMEDOUT_CODE

    public static final String ERR_TIMEDOUT_CODE
    See Also:
      - Constant Field Values

  - ### ERR_MID

    public static final String ERR_MID
    See Also:
      - Constant Field Values

  - ### ERR_MID_CODE

    public static final String ERR_MID_CODE
    See Also:
      - Constant Field Values

  - ### ERR_BALANCE

    public static final String ERR_BALANCE
    See Also:
      - Constant Field Values

  - ### ERR_BALANCE_CODE

    public static final String ERR_BALANCE_CODE
    See Also:
      - Constant Field Values

  - ### PAY_ALL

    public static final int PAY_ALL
    See Also:
      - Constant Field Values

  - ### PAY_CANSELED

    public static final int PAY_CANSELED
    See Also:
      - Constant Field Values

  - ### PAY_PAYED

    public static final int PAY_PAYED
    See Also:
      - Constant Field Values

  - ### DEALER_TYPEMASK_CARDSALE

    public static final int DEALER_TYPEMASK_CARDSALE
    See Also:
      - Constant Field Values

  - ### DEALER_TYPEMASK_PAYMENTS

    public static final int DEALER_TYPEMASK_PAYMENTS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DealerUtils

    public DealerUtils()

- ## Method Details

  - ### getPaymentComment

    public static String getPaymentComment(String pattern, String contract, String dealer, float summ, String trans, String comment)